Zum Hauptinhalt springen
POST
/
events
/
custom
/
2026-03
/
event-definitions
/
{eventName}
/
property
cURL
curl --request POST \
  --url https://api.hubapi.com/events/custom/2026-03/event-definitions/{eventName}/property \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "type": "<string>",
  "description": "<string>",
  "name": "<string>",
  "options": [
    {
      "displayOrder": 123,
      "hidden": true,
      "label": "<string>",
      "value": "<string>",
      "description": "<string>"
    }
  ]
}
'
{
  "description": "<string>",
  "fieldType": "<string>",
  "groupName": "<string>",
  "label": "<string>",
  "name": "<string>",
  "options": [
    {
      "hidden": true,
      "label": "<string>",
      "value": "<string>",
      "description": "<string>",
      "displayOrder": 123
    }
  ],
  "type": "<string>",
  "archived": true,
  "archivedAt": "2023-11-07T05:31:56Z",
  "calculated": true,
  "calculationFormula": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdUserId": "<string>",
  "dataSensitivity": "highly_sensitive",
  "dateDisplayHint": "absolute",
  "displayOrder": 123,
  "externalOptions": true,
  "formField": true,
  "hasUniqueValue": true,
  "hidden": false,
  "hubspotDefined": true,
  "modificationMetadata": {
    "archivable": true,
    "readOnlyDefinition": true,
    "readOnlyValue": true,
    "readOnlyOptions": true
  },
  "referencedObjectType": "<string>",
  "sensitiveDataCategories": [
    "<string>"
  ],
  "showCurrencySymbol": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedUserId": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

eventName
string
erforderlich

Body

application/json
label
string
erforderlich

Human readable label for the property. Used in HubSpot UI

type
string
erforderlich

The data type of the property. Can be one of the following: [string, number, enumeration, datetime]

description
string

A description of the property that will be shown as help text in HubSpot.

name
string

Internal property name, which must be used when referencing the property from the API

options
object[]

A list of available options for the property if it is an enumeration. NOTE: This field is only applicable for enumerated properties.

Antwort

successful operation

A HubSpot property

description
string
erforderlich

A summary of the property's purpose.

fieldType
string
erforderlich

Determines how the property will appear in HubSpot's UI or on a form. Learn more in the properties API guide.

groupName
string
erforderlich

The name of the group to which the property is assigned.

label
string
erforderlich

The display label for the property.

name
string
erforderlich

The internal name for the property.

options
object[]
erforderlich

A list of valid options for the property. This field is required for enumerated properties.

type
string
erforderlich

The data type of the property, such as string or number.

archived
boolean

Whether the property is archived.

archivedAt
string<date-time>

The timestamp when the property was archived, in ISO 8601 format.

calculated
boolean

Whether the property is a calculated field.

calculationFormula
string

The formula used for calculated properties.

createdAt
string<date-time>

The timestamp when the property was created, in ISO 8601 format.

createdUserId
string

The ID of the user who created the property.

dataSensitivity
enum<string>

Indicates the sensitivity level of the property, such as "non_sensitive", "sensitive", or "highly_sensitive".

Verfügbare Optionen:
highly_sensitive,
non_sensitive,
sensitive
dateDisplayHint
enum<string>
Verfügbare Optionen:
absolute,
absolute_with_relative,
time_since,
time_until
displayOrder
integer<int32>

The position of the item relative to others in the list.

externalOptions
boolean

Applicable only for enumeration type properties. Should be set to true with a 'referencedObjectType' of 'OWNER'. Otherwise false.

formField
boolean

Whether the property can appear on forms.

hasUniqueValue
boolean

Whether the property is a unique identifier property.

hidden
boolean

Whether or not the property will be hidden from the HubSpot UI. It's recommended that this be set to false for custom properties.

Beispiel:

false

hubspotDefined
boolean

A boolean value set to true for HubSpot default properties.

modificationMetadata
object
referencedObjectType
string

Deprecated. Use externalOptionsReferenceType instead.

sensitiveDataCategories
string[]

When sensitiveData is true, lists the type of sensitive data contained in the property (e.g., "HIPAA").

showCurrencySymbol
boolean

Whether to show the currency symbol in HubSpot's UI.

updatedAt
string<date-time>

The timestamp when the property was last updated, in ISO 8601 format.

updatedUserId
string
Last modified on April 9, 2026